import { ElementRef } from '@angular/core';
import { DomSanitizer, SafeStyle } from '@angular/platform-browser';
import { AnimationEvent } from '@angular/animations';
import { Direction } from './direction';
import { Offset } from './offset';
import { Dimension } from './dimension';
export declare class SwingCardComponent {
    private elementRef;
    private sanitizer;
    readonly cardState: any;
    readonly transform: SafeStyle;
    private _offset;
    private _rotation;
    private _lastMove;
    private _cardState;
    private _animationParams;
    private _rotationFactor;
    private _velocityFactor;
    readonly _directionX: Direction;
    readonly _directionY: Direction;
    readonly _offsetState: OffsetState;
    constructor(elementRef: ElementRef<HTMLElement>, sanitizer: DomSanitizer);
    panstart(): void;
    panmove(event: any): void;
    panend(event: any): void;
    stateAnimationDone(event: AnimationEvent): void;
    throwIn(offset: Offset): void;
    throwOut(offset: Offset): void;
    getRotation(offset: Offset): number;
    getDirection(offset: Offset): Direction;
    getDimensions(): Dimension;
    getThrowOutRange(offset: Offset): number;
}
export declare enum CardState {
    throwIn = "throwIn",
    throwOut = "throwOut",
    free = "free",
}
export declare enum OffsetState {
    initial = "initial",
    moving = "moving",
}
